summaryrefslogtreecommitdiffstats
path: root/graphics
diff options
context:
space:
mode:
author Brian Cox <hamslackbuild@comcast.net>2023-10-09 19:54:25 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2023-10-09 21:37:40 +0700
commit716f7647e765351c4859630e6d9af9ef8a45e80c (patch)
tree6f4249a38cbd60040a37c9eb840bb8574c236e81 /graphics
parent427df43f388c55fc8e5d92abfd6b1166a23c363b (diff)
downloadslackbuilds-716f7647e765351c4859630e6d9af9ef8a45e80c.tar.gz
slackbuilds-716f7647e765351c4859630e6d9af9ef8a45e80c.tar.xz
graphics/qcustomplot: Added (Qt C++ Widget).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'graphics')
-rw-r--r--graphics/qcustomplot/README5
-rw-r--r--graphics/qcustomplot/doinst.sh3
-rw-r--r--graphics/qcustomplot/qcustomplot.SlackBuild130
-rw-r--r--graphics/qcustomplot/qcustomplot.info12
-rw-r--r--graphics/qcustomplot/slack-desc19
5 files changed, 169 insertions, 0 deletions
diff --git a/graphics/qcustomplot/README b/graphics/qcustomplot/README
new file mode 100644
index 0000000000..5e4a187782
--- /dev/null
+++ b/graphics/qcustomplot/README
@@ -0,0 +1,5 @@
+QCustomPlot is a Qt C++ widget for plotting and data visualization.
+
+This plotting library focuses on making good looking, publication
+quality 2D plots, graphs and charts, as well as offering high
+performance for realtime visualization applications.
diff --git a/graphics/qcustomplot/doinst.sh b/graphics/qcustomplot/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/graphics/qcustomplot/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/graphics/qcustomplot/qcustomplot.SlackBuild b/graphics/qcustomplot/qcustomplot.SlackBuild
new file mode 100644
index 0000000000..d0a253a36c
--- /dev/null
+++ b/graphics/qcustomplot/qcustomplot.SlackBuild
@@ -0,0 +1,130 @@
+#!/bin/bash
+# Slackbuild for qcustomplot
+# Brian Cox <hamslackbuild@comcast.net>
+
+# Copyright 2023
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+cd $(dirname $0) ; CWD=$(pwd)
+
+SRCNAM=QCustomPlot
+PRGNAM=qcustomplot
+VERSION=${VERSION:-2.1.1}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+PKGTYPE=${PKGTYPE:-tgz}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i586 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
+ echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
+ exit 0
+fi
+
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i586" ]; then
+ SLKCFLAGS="-O2 -march=i586 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+elif [ "$ARCH" = "aarch64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+rm -rf $PRGNAM-$VERSION
+tar -xvf $CWD/$SRCNAM-v$VERSION.tar.gz
+tar -xvf $CWD/$SRCNAM-source.tar.gz
+mv -v $SRCNAM-v$VERSION $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+cp -v "../${PRGNAM}-source/"*.{cpp,h} .
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+qmake-qt5 sharedlib/sharedlib-compilation/sharedlib-compilation.pro
+make
+make install DESTDIR=$PKG
+
+doxygen -u
+doxygen
+qhelpgenerator documentation/html/index.qhp \
+ -o documentation/qthelp/qcustomplot.qch
+find documentation/html -type f \
+ -iname "*.qhp" -or -iname "*.map" -or -iname "*.md5" -delete
+
+install -vDm 644 "${PRGNAM}.h" -t "${PKG}/usr/include/"
+install -vdm 755 "${PKG}/usr/lib${LIBDIRSUFFIX}/"
+cp -av "lib${PRGNAM}.so"* $PKG/usr/lib${LIBDIRSUFFIX}
+
+install -vDm 644 documentation/qthelp/*.qch -t "${PKG}/usr/doc/$PRGNAM-$VERSION/qt/"
+find examples -type f -exec install -vDm 644 {} "${PKG}/usr/doc/$PRGNAM-$VERSION/"{} \;
+(
+ cd documentation
+ find html -type f -exec install -vDm 644 {} "${PKG}/usr/doc/$PRGNAM-$VERSION/"{} \;
+)
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+pwd
+cp -a \
+ changelog.txt \
+ GPL.txt \
+ ./sharedlib/readme.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+find $PKG/usr/doc -name "Makefile" -exec rm {} \;
+find $PKG/usr/doc -type f -exec chmod 644 {} \;
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE
diff --git a/graphics/qcustomplot/qcustomplot.info b/graphics/qcustomplot/qcustomplot.info
new file mode 100644
index 0000000000..b248ef9d3c
--- /dev/null
+++ b/graphics/qcustomplot/qcustomplot.info
@@ -0,0 +1,12 @@
+PRGNAM="qcustomplot"
+VERSION="2.1.1"
+HOMEPAGE="https://www.qcustomplot.com/"
+DOWNLOAD="https://gitlab.com/DerManu/QCustomPlot/-/archive/v2.1.1/QCustomPlot-v2.1.1.tar.gz \
+ https://www.qcustomplot.com/release/2.1.1/QCustomPlot-source.tar.gz"
+MD5SUM="e481fc69a91cd9ad1341397338457caa \
+ dec87d6ad14745683ebe166b5936bab1"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Brian Cox"
+EMAIL="hamslackbuild@comcast.net"
diff --git a/graphics/qcustomplot/slack-desc b/graphics/qcustomplot/slack-desc
new file mode 100644
index 0000000000..1c026c6897
--- /dev/null
+++ b/graphics/qcustomplot/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+qcustomplot: qcustomplot (Qt C++ widget for plotting and data visualization)
+qcustomplot:
+qcustomplot: This plotting library focuses on making good looking, publication
+qcustomplot: quality 2D plots, graphs and charts, as well as offering high
+qcustomplot: performance for realtime visualization applications.
+qcustomplot:
+qcustomplot:
+qcustomplot: Homepage: https://QCustomPlot.com/
+qcustomplot:
+qcustomplot:
+qcustomplot: